Commit e4b67d3b authored by Nihad Abbasov's avatar Nihad Abbasov

Merge pull request #3095 from fdiary/update-grape-for-ruby2.0

update grape to 0.3.1 for ruby 2.0 support.
parents 8d847b89 3b548d92
......@@ -39,7 +39,8 @@ gem "pygments.rb", git: "https://github.com/gitlabhq/pygments.rb.git", branch:
gem "github-linguist", "~> 2.3.4" , require: "linguist"
# API
gem "grape", "~> 0.2.1"
gem "grape", "~> 0.3.1"
gem "grape-entity", "~> 0.2.0"
# Format dates and times
# based on human-friendly examples
......
......@@ -182,8 +182,9 @@ GEM
pyu-ruby-sasl (~> 0.0.3.1)
rubyntlm (~> 0.1.1)
gitlab_yaml_db (1.0.0)
grape (0.2.2)
grape (0.3.1)
activesupport
grape-entity (~> 0.2.0)
hashie (~> 1.2)
multi_json (>= 1.3.2)
multi_xml
......@@ -191,6 +192,7 @@ GEM
rack-accept
rack-mount
virtus
grape-entity (0.2.0)
growl (1.0.3)
guard (1.5.4)
listen (>= 0.4.2)
......@@ -481,7 +483,8 @@ DEPENDENCIES
gitlab_omniauth-ldap (= 1.0.2)
gitlab_yaml_db (= 1.0.0)
grack!
grape (~> 0.2.1)
grape (~> 0.3.1)
grape-entity (~> 0.2.0)
grit!
grit_ext!
growl
......
......@@ -9,7 +9,6 @@ module Gitlab
end
format :json
error_format :json
helpers APIHelpers
mount Groups
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment